OpenNMS API 1.2.9

## org.opennms.web.event
Class EventFactory.SortStyle

    java.lang.Object
      org.opennms.web.event.EventFactory.SortStyle

Enclosing class:
  EventFactory

public static class EventFactory.SortStyle
extends java.lang.Object

Convenience class to determine sort style of a query.

Field Summary
`static int` `_ID`
`static int` `_INTERFACE`
`static int` `_NODE`
`static int` `_POLLER`
`static int` `_REVERSE_ID`
`static int` `_REVERSE_INTERFACE`
`static int` `_REVERSE_NODE`
`static int` `_REVERSE_POLLER`
`static int` `_REVERSE_SERVICE`
`static int` `_REVERSE_SEVERITY`
`static int` `_REVERSE_TIME`
`static int` `_SERVICE`
`static int` `_SEVERITY`
`static int` `_TIME`
`protected int` `id`
`static EventFactory.SortStyle` `ID`
`static EventFactory.SortStyle` `INTERFACE`
`protected java.lang.String` `name`
`static EventFactory.SortStyle` `NODE`
`static EventFactory.SortStyle` `POLLER`
`static EventFactory.SortStyle` `REVERSE_ID`
`static EventFactory.SortStyle` `REVERSE_INTERFACE`
`static EventFactory.SortStyle` `REVERSE_NODE`
`static EventFactory.SortStyle` `REVERSE_POLLER`
`static EventFactory.SortStyle` `REVERSE_SERVICE`
`static EventFactory.SortStyle` `REVERSE_SEVERITY`
`static EventFactory.SortStyle` `REVERSE_TIME`
`static EventFactory.SortStyle` `SERVICE`
`static EventFactory.SortStyle` `SEVERITY`
`static EventFactory.SortStyle` `TIME`

Constructor Summary
`private` `EventFactory.SortStyle(java.lang.String name, int id)`

Method Summary
`int` `getId()`
`java.lang.String` `getName()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _SEVERITY

    public static final int _SEVERITY

See Also:
  Constant Field Values

### _TIME

    public static final int _TIME

See Also:
  Constant Field Values

### _NODE

    public static final int _NODE

See Also:
  Constant Field Values

### _INTERFACE

    public static final int _INTERFACE

See Also:
  Constant Field Values

### _SERVICE

    public static final int _SERVICE

See Also:
  Constant Field Values

### _POLLER

    public static final int _POLLER

See Also:
  Constant Field Values

### _ID

    public static final int _ID

See Also:
  Constant Field Values

### SEVERITY

    public static final EventFactory.SortStyle SEVERITY

### TIME

    public static final EventFactory.SortStyle TIME

### NODE

    public static final EventFactory.SortStyle NODE

### INTERFACE

    public static final EventFactory.SortStyle INTERFACE

### SERVICE

    public static final EventFactory.SortStyle SERVICE

### POLLER

    public static final EventFactory.SortStyle POLLER

### ID

    public static final EventFactory.SortStyle ID

### _REVERSE_SEVERITY

    public static final int _REVERSE_SEVERITY

See Also:
  Constant Field Values

### _REVERSE_TIME

    public static final int _REVERSE_TIME

See Also:
  Constant Field Values

### _REVERSE_NODE

    public static final int _REVERSE_NODE

See Also:
  Constant Field Values

### _REVERSE_INTERFACE

    public static final int _REVERSE_INTERFACE

See Also:
  Constant Field Values

### _REVERSE_SERVICE

    public static final int _REVERSE_SERVICE

See Also:
  Constant Field Values

### _REVERSE_POLLER

    public static final int _REVERSE_POLLER

See Also:
  Constant Field Values

### _REVERSE_ID

    public static final int _REVERSE_ID

See Also:
  Constant Field Values

### REVERSE_SEVERITY

    public static final EventFactory.SortStyle REVERSE_SEVERITY

### REVERSE_TIME

    public static final EventFactory.SortStyle REVERSE_TIME

### REVERSE_NODE

    public static final EventFactory.SortStyle REVERSE_NODE

### REVERSE_INTERFACE

    public static final EventFactory.SortStyle REVERSE_INTERFACE

### REVERSE_SERVICE

    public static final EventFactory.SortStyle REVERSE_SERVICE

### REVERSE_POLLER

    public static final EventFactory.SortStyle REVERSE_POLLER

### REVERSE_ID

    public static final EventFactory.SortStyle REVERSE_ID

### name

    protected java.lang.String name

### id

    protected int id

Constructor Detail

### EventFactory.SortStyle

    private EventFactory.SortStyle(java.lang.String name,
                                   int id)

Method Detail

### toString

    public java.lang.String toString()

### getName

    public java.lang.String getName()

### getId

    public int getId()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.